* {
  box-sizing: border-box;
}
root {
  --primary-color: darkcyan;
}
body {
  margin: 0;
  background-color: #eee;
  font-family:
    Google Sans Code,
    Arial,
    Helvetica,
    sans-serif;
}

h1 {
  text-align: center;
  margin: 0;
  margin-bottom: 50px;
  background-color: white;
}
.guess-game {
  margin: 20px auto;
  text-align: center;
  width: 1000px;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  .game-area {
    text-align: center;
    .inputs {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      margin-bottom: 20px;
      span {
        font-size: 20px;
        font-weight: bold;
        color: rgb(4, 102, 102);
        margin-right: 10px;
      }
      input {
        height: 60px;
        width: 60px;

        text-align: center;
        font-size: 30px;
        transition: 300ms;
        font-family: serif;
        box-shadow: 0px 0px 1px cyan;
        border-radius: 5px;
        &:focus {
          outline-color: red;
        }
        &.yes-in-place {
          background-color: rgb(0, 255, 0);
          border: rgb(0, 255, 0);
          color: white;
        }
        &.not-in-place {
          background-color: rgb(52, 52, 236);
          border: rgb(52, 52, 236);
          color: white;
        }
        &.no {
          background-color: rgb(252, 8, 8);
          border: rgb(252, 8, 8);
          color: white;
        }
      }
      .disabled {
        opacity: 0.8;
        pointer-events: none;
      }
    }
    .controls {
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 30px;
      width: 500px;
      padding: 20px;
      margin: 20px auto;
      button {
        font-size: 20px;
        border: none;
        border-radius: 8px;
        padding: 5px 2px;
        cursor: pointer;
        width: max-content;
      }
      button:hover {
        transform: scale(1.1);
        transition: 600ms;
        box-shadow: 0px 0px 36px blue;
      }
      button:disabled {
        opacity: 0.8;
      }
      button:disabled:hover {
        transform: scale(1);
        box-shadow: 0 0 0;
        cursor: not-allowed;
      }
      .check {
        outline-color: #eee;
        background-color: rgb(47, 84, 109);
        border-color: rgb(47, 84, 109);
        color: white;
        font-family: Google Sans Code;
        font-weight: 100;
        letter-spacing: 2px;
        flex: 1;
      }
      .hint {
        background-color: limegreen;
        color: whitesmoke;
        letter-spacing: 3px;
        font-family: "Arial Narrow";
        font-weight: 100;
        padding: 5px 15px;
        span {
          text-align: center;
          padding: 2px;
          border-radius: 50px;
          box-shadow: 0px 0px 2px rgb(153, 221, 153);
          text-shadow: 0 0 2px rgb(16, 16, 63);
        }
      }
    }
  }
  .key-colors {
    border-radius: 12px;
    .key-color {
      text-align: center;
      padding: 10px;
      margin-bottom: 10px;
      display: flex;
      width: max-content;
      height: max-content;
      .key {
        width: 20px;
        height: 20px;
        border-radius: 4px;
        margin-right: 10px;
        &.in-place {
          background-color: rgb(0, 255, 0);
        }
        &.not-in-place {
          background-color: rgb(52, 52, 236);
        }
        &.no {
          background-color: rgb(252, 8, 8);
        }
      }
    }
    .key-text {
      font-weight: bold;
      font-size: 18px;
    }
  }
}

.massage {
  font-size: 30px;
  text-align: center;
  transform: translateY(-29px);
  color: white;
  border-radius: 12px;
  span {
    font-weight: bolder;
    margin-top: 10px;
    font-size: 35px;
    text-transform: capitalize;
    color: bisque;
  }
  p {
    margin-top: 3px;
    color: darkgoldenrod;
    text-shadow: 0px 0px 3px blue;
  }
}

footer {
  color: white;
  text-align: center;
  font-family: "Arial Narrow", Arial, sans-serif;
  padding: 20px;
  position: fixed;
  bottom: 0;
  width: 100%;
  background-color: cyan;
}
 